<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.LUnitInfoForProveMapper">
    <resultMap id="lUnitInfoForProveMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.LUnitInfoForProve">
        <id property="id" column="id"/>
        <result property="creatUser" column="creat_user"/>
        <result property="unitName" column="unit_name"/>
        <result property="unitAddr" column="unit_addr"/>
        <result property="phone" column="phone"/>
    </resultMap>
    <sql id="Base_Column_List">
             a.id,
             a.creat_user,
             a.unit_name,
             a.unit_addr,
             a.phone
    </sql>
    <sql id="lUnitInfoForProve_where">
        <if test="lUnitInfoForProve != null">
            <if test="lUnitInfoForProve.id != null">
                AND a.id = #{lUnitInfoForProve.id}
            </if>
            <if test="lUnitInfoForProve.creatUser != null">
                AND a.creat_user = #{lUnitInfoForProve.creatUser}
            </if>
            <if test="lUnitInfoForProve.unitName != null and lUnitInfoForProve.unitName.trim() != ''">
                AND a.unit_name = #{lUnitInfoForProve.unitName}
            </if>
            <if test="lUnitInfoForProve.unitAddr != null and lUnitInfoForProve.unitAddr.trim() != ''">
                AND a.unit_addr = #{lUnitInfoForProve.unitAddr}
            </if>
            <if test="lUnitInfoForProve.phone != null and lUnitInfoForProve.phone.trim() != ''">
                AND a.phone = #{lUnitInfoForProve.phone}
            </if>
        </if>
    </sql>
</mapper>
